kr.co.hanwha.hifive.enums

## Enum BaseAnimationType

- java.lang.Object
- - java.lang.Enum<BaseAnimationType>
  - - kr.co.hanwha.hifive.enums.BaseAnimationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseAnimationType>

      public enum BaseAnimationType
      extends java.lang.Enum<BaseAnimationType>

  Activity Animation TYPE

  Created by sanghoonkwon on 2018. 1. 10..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` animation from bottom
    `FADE` animation fade in
    `NONE` NONE
    `RIGHT` animation from right

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseAnimationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseAnimationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BaseAnimationType NONE

      NONE

    - #### RIGHT

          public static final BaseAnimationType RIGHT

      animation from right

    - #### BOTTOM

          public static final BaseAnimationType BOTTOM

      animation from bottom

    - #### FADE

          public static final BaseAnimationType FADE

      animation fade in

  - ### Method Detail

    - #### values

          public static BaseAnimationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseAnimationType c : BaseAnimationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseAnimationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null